MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025195Open CASCADE[OCCT] OCCT:Samplespublic2014-08-28 14:052014-11-12 08:44
Reporterszv 
Assigned Tobugmaster 
PrioritynormalSeverityfeature 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0025195: Samples - add Java sample for Android 4.x
DescriptionIt is necessary to create a dedicated Java-based sample for Android platform.
The sample should provide similar functionality as the existing ImportExport sample (MFC-based).
TagsNo tags attached.
Test case number
Attached Files

- Relationships
child of 0025146closedbugmaster Porting to Android 

-  Notes
(0033525)
git (administrator)
2014-10-22 10:45

Branch CR25195 has been created by svo.

SHA-1: 0644bfa483ee972af07fbc55eaaad4db920815a5


No new revisions were added by this update.
(0033526)
git (administrator)
2014-10-22 10:54

Branch CR25195 has been updated by svo.

SHA-1: e33c53f151f7e05d52ecf5e009d71b29f667aa42


Detailed log of new commits:

Author: svo
Date: Wed Oct 22 00:48:03 2014 +0400

    Update for GUI and first version of generated wrapper

(0033928)
git (administrator)
2014-10-31 11:12

Branch CR25195 has been updated forcibly by kgv.

SHA-1: dcb2893f76de36c8a6dc9b312530423be041ee41
(0033929)
git (administrator)
2014-10-31 12:07

Branch CR25195 has been updated forcibly by kgv.

SHA-1: c02902b8bf0bccd26c270b10fcfda7a5e27cc452
(0033930)
git (administrator)
2014-10-31 12:15

Branch CR25195 has been updated forcibly by kgv.

SHA-1: 1d63ed49fdcaf00d3ca8b9e30a141539752f1a77
(0033934)
git (administrator)
2014-10-31 13:08

Branch CR25195 has been updated forcibly by kgv.

SHA-1: 4f94f8c03e6347f2c21b688bcb05a66b3807617b
(0033992)
git (administrator)
2014-10-31 20:07

Branch CR25195 has been updated forcibly by kgv.

SHA-1: 673c633fdfd10e7e6faa3fd861db4d1a3721589e
(0034017)
git (administrator)
2014-11-05 09:21

Branch CR25195 has been updated forcibly by kgv.

SHA-1: ad09441afe3275e1154e2795a06495427e313ffb
(0034138)
git (administrator)
2014-11-07 11:05

Branch CR25195_1 has been created by kgv.

SHA-1: 73b77b55a8ef16a0ee288df1b6ddcf1b6fb71094


Detailed log of new commits:

Author: kgv
Date: Fri Nov 7 12:04:33 2014 +0400

    0025195: Add Java sample for Android 4.x
(0034139)
git (administrator)
2014-11-07 11:19

Branch CR25195_1 has been updated forcibly by kgv.

SHA-1: ee7e82abb782be9009f040b14eb6426e4ebaec33
(0034140)
git (administrator)
2014-11-07 11:20

Branch CR25195_1 has been updated forcibly by kgv.

SHA-1: fef48fed0d0555a6aff6024a26777e13a5857cee
(0034141)
kgv (developer)
2014-11-07 11:21

Dear bugmaster,

please take patch from branch CR25195_1.
(0034233)
git (administrator)
2014-11-12 08:44

Branch CR25195 has been deleted by kgv.

SHA-1: ad09441afe3275e1154e2795a06495427e313ffb
(0034234)
git (administrator)
2014-11-12 08:44

Branch CR25195_1 has been deleted by kgv.

SHA-1: fef48fed0d0555a6aff6024a26777e13a5857cee

- Related Changesets
occt: master 7f2debb2
Timestamp: 2014-11-07 08:20:13
Author: kgv
Committer: bugmaster
Details ] Diff ]
0025195: Samples - add Java sample for Android 4.x
add - samples/java/jniviewer/.classpath Diff ] File ]
add - samples/java/jniviewer/.externalToolBuilders/C++ Builder.launch Diff ] File ]
add - samples/java/jniviewer/.gitignore Diff ] File ]
add - samples/java/jniviewer/.project Diff ] File ]
add - samples/java/jniviewer/.settings/org.eclipse.jdt.core.prefs Diff ] File ]
add - samples/java/jniviewer/AndroidManifest.xml Diff ] File ]
add - samples/java/jniviewer/jni/Android.mk Diff ] File ]
add - samples/java/jniviewer/jni/Application.mk Diff ] File ]
add - samples/java/jniviewer/jni/OcctJni_MsgPrinter.cxx Diff ] File ]
add - samples/java/jniviewer/jni/OcctJni_MsgPrinter.hxx Diff ] File ]
add - samples/java/jniviewer/jni/OcctJni_Viewer.cxx Diff ] File ]
add - samples/java/jniviewer/jni/OcctJni_Viewer.hxx Diff ] File ]
add - samples/java/jniviewer/jni/OcctJni_Window.cxx Diff ] File ]
add - samples/java/jniviewer/jni/OcctJni_Window.hxx Diff ] File ]
add - samples/java/jniviewer/project.properties Diff ] File ]
add - samples/java/jniviewer/ReadMe.md Diff ] File ]
add - samples/java/jniviewer/res/drawable-hdpi/close_l.png Diff ] File ]
add - samples/java/jniviewer/res/drawable-hdpi/close_p.png Diff ] File ]
add - samples/java/jniviewer/res/drawable-hdpi/fit.png Diff ] File ]
add - samples/java/jniviewer/res/drawable-hdpi/ic_launcher.png Diff ] File ]
add - samples/java/jniviewer/res/drawable-hdpi/info.png Diff ] File ]
add - samples/java/jniviewer/res/drawable-hdpi/info_image.png Diff ] File ]
add - samples/java/jniviewer/res/drawable-hdpi/message.png Diff ] File ]
add - samples/java/jniviewer/res/drawable-hdpi/open.png Diff ] File ]
add - samples/java/jniviewer/res/drawable-hdpi/open_l.png Diff ] File ]
add - samples/java/jniviewer/res/drawable-hdpi/open_p.png Diff ] File ]
add - samples/java/jniviewer/res/drawable-hdpi/proj_back.png Diff ] File ]
add - samples/java/jniviewer/res/drawable-hdpi/proj_bottom.png Diff ] File ]
add - samples/java/jniviewer/res/drawable-hdpi/proj_front.png Diff ] File ]
add - samples/java/jniviewer/res/drawable-hdpi/proj_left.png Diff ] File ]
add - samples/java/jniviewer/res/drawable-hdpi/proj_right.png Diff ] File ]
add - samples/java/jniviewer/res/drawable-hdpi/proj_top.png Diff ] File ]
add - samples/java/jniviewer/res/drawable-hdpi/view.png Diff ] File ]
add - samples/java/jniviewer/res/drawable-mdpi/ic_launcher.png Diff ] File ]
add - samples/java/jniviewer/res/drawable-xhdpi/ic_launcher.png Diff ] File ]
add - samples/java/jniviewer/res/drawable-xxhdpi/ic_launcher.png Diff ] File ]
add - samples/java/jniviewer/res/layout/activity_main.xml Diff ] File ]
add - samples/java/jniviewer/res/values/id.xml Diff ] File ]
add - samples/java/jniviewer/res/values/strings.xml Diff ] File ]
add - samples/java/jniviewer/src/com/opencascade/jnisample/OcctJniActivity.java Diff ] File ]
add - samples/java/jniviewer/src/com/opencascade/jnisample/OcctJniFileDialog.java Diff ] File ]
add - samples/java/jniviewer/src/com/opencascade/jnisample/OcctJniLogger.java Diff ] File ]
add - samples/java/jniviewer/src/com/opencascade/jnisample/OcctJniRenderer.java Diff ] File ]
add - samples/java/jniviewer/src/com/opencascade/jnisample/OcctJniView.java Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-08-28 14:05 szv New Issue
2014-08-28 14:05 szv Assigned To => bugmaster
2014-08-28 14:08 szv Assigned To bugmaster => svo
2014-08-28 14:08 szv Status new => assigned
2014-09-10 08:33 kgv Relationship added child of 0025146
2014-09-10 08:34 kgv Severity minor => feature
2014-09-11 17:21 abv Target Version => 7.0.0
2014-10-22 10:45 git Note Added: 0033525
2014-10-22 10:54 git Note Added: 0033526
2014-10-31 11:12 git Note Added: 0033928
2014-10-31 12:07 git Note Added: 0033929
2014-10-31 12:15 git Note Added: 0033930
2014-10-31 13:08 git Note Added: 0033934
2014-10-31 20:07 git Note Added: 0033992
2014-11-05 09:21 git Note Added: 0034017
2014-11-07 09:04 kgv Summary Add Java sample for Android 4.x => Samples - add Java sample for Android 4.x
2014-11-07 11:05 git Note Added: 0034138
2014-11-07 11:19 git Note Added: 0034139
2014-11-07 11:20 git Note Added: 0034140
2014-11-07 11:21 kgv Note Added: 0034141
2014-11-07 11:21 kgv Assigned To svo => bugmaster
2014-11-07 11:21 kgv Status assigned => resolved
2014-11-07 11:21 kgv Product Version 6.7.1 =>
2014-11-07 11:21 kgv Target Version 7.0.0 => 6.8.0
2014-11-07 11:22 kgv Status resolved => reviewed
2014-11-10 16:01 bugmaster Changeset attached => occt master 7f2debb2
2014-11-10 16:01 bugmaster Status reviewed => verified
2014-11-10 16:01 bugmaster Resolution open => fixed
2014-11-11 12:42 aiv Fixed in Version => 6.8.0
2014-11-11 13:03 aiv Status verified => closed
2014-11-12 08:44 git Note Added: 0034233
2014-11-12 08:44 git Note Added: 0034234


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker